com.streambase.liveview.client

## Interface LiveViewMultiConnection

- All Superinterfaces:
    AutoCloseable, Closeable, LiveViewConnection

      public interface LiveViewMultiConnection
      extends LiveViewConnection

  Interface representing a connection to a pool of servers (retrieved via `LiveViewConnectionFactory.getConnection(MultiConnectionConfig, boolean)`.) Note that while this is a `LiveViewConnection`, some operations of that interface will fail with an appropriate error code `LiveViewExceptionType#NOT_SUPPORTED_IN_MULTICONNECT`.

  For example (but not limited to), attempting to upload new `AlertRule`s or acquiring `TablePublisher`s will fail. Operations such as these should be performed directly against the intended target server using a normal `LiveViewConnection`.

  Since:
    2.0

- - ### Field Summary

    - ### Fields inherited from interface com.streambase.liveview.client.LiveViewConnection

      `CQS_INTERNAL_ID`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<? extends LiveViewConnectionControl>` | `getConnectionControls()` This list will have a one-for-one correspondence with the list of ConnectionConfigs or the list of URIs that were used to create this LiveViewMultiConnection.
    `LiveViewConnectionControl` | `getCurrentConnection()` LiveViewConnectionControl of the "current" connection, if there is one.

    - ### Methods inherited from interface com.streambase.liveview.client.LiveViewConnection

      `checkPermission, checkPermissions, close, deleteRows, describeQuery, executeSnapshotQuery, getAlertManager, getCapability, getClientController, getConnectionURI, getSendTupleInfo, getServerUtilityDataProvider, getTable, getTableAdminManager, hasCapability, isConnected, listTables, listTables, registerQuery, registerTableListListener, sendTupleAction`

- - ### Method Detail

    - #### getCurrentConnection

          LiveViewConnectionControl getCurrentConnection()

      LiveViewConnectionControl of the "current" connection, if there is one. The current connection will always have a ConnectionState of CONNECTED. (At least, it did when this method returned.) If no connection is currently connected, this will return null.
      Returns:
        LiveViewConnectionControl of the "current" connection, if there is one.

    - #### getConnectionControls

          List<? extends LiveViewConnectionControl> getConnectionControls()

      This list will have a one-for-one correspondence with the list of ConnectionConfigs or the list of URIs that were used to create this LiveViewMultiConnection.
      Returns:
        All the connections currently under consideration.

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.